<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:param name="pageName" value="#{messages['gazelle.evs.client.admin.manage.services']}"/>
    <ui:param name="pageNameUrl" value="administration/validationServices.seam"/>
    <ui:param name="pageNameTitle" value="#{messages['gazelle.evs.client.admin.manage.services']}"/>
    <ui:define name="body">
        <h:form id="worldMapForm">
            <script type="text/javascript" src="https://www.google.com/jsapi"/>
            <script type="text/javascript">
                google.load('visualization', '1', {packages:['geochart']});
                google.setOnLoadCallback(drawMarkersMap);

                function drawMarkersMap() {
                    var data = new google.visualization.DataTable();
                    data.addColumn('string', 'Country');
                    data.addColumn('number', 'Number of requests');
                    data.addColumn('number', 'nb of different IP addresses');
                    data.addRows([
                        <ui:repeat value="#{statisticsBeanGui.getStatisticsPerCountry()}" var="stat">
                            ['#{stat[0]}',  #{stat[1]}, #{stat[2]}],
                        </ui:repeat>
                    ]);

                    var options = {};

                    var chart = new google.visualization.GeoChart(document.getElementById('chart_div'));
                    chart.draw(data, options);
                };
            </script>
        </h:form>

        <div class="panel panel-default">
            <div class="panel-heading">
                <h4 class="panel-title">
                    #{messages['net.ihe.gazelle.evs.ValidationCallsallServicesPerCountry']}
                </h4>
            </div>

            <div class="panel-body" id="chart_div"/>
        </div>

    </ui:define>
</ui:composition>

